/**
 */
package org.fortiss.af3.platform.raspberry.model.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.fortiss.af3.platform.model.ExecutionUnit;
import org.fortiss.af3.platform.model.GenericPlatformUnit;
import org.fortiss.af3.platform.model.IArchitectureDomain;
import org.fortiss.af3.platform.model.IBoardPlatformArchitectureElement;
import org.fortiss.af3.platform.model.ICommunicationMaster;
import org.fortiss.af3.platform.model.ICommunicationRole;
import org.fortiss.af3.platform.model.IIpCorePlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPhysicalPlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPlatformArchitectureElement;
import org.fortiss.af3.platform.model.IPlatformArchitectureElementType;
import org.fortiss.af3.platform.model.IPlatformCommunicationResource;
import org.fortiss.af3.platform.model.IPlatformConnectorType;
import org.fortiss.af3.platform.model.IPlatformIOResource;
import org.fortiss.af3.platform.model.IPlatformInterface;
import org.fortiss.af3.platform.model.IPlatformPort;
import org.fortiss.af3.platform.model.IPlatformProcessingResource;
import org.fortiss.af3.platform.model.IPlatformResource;
import org.fortiss.af3.platform.model.PlatformConnectorUnit;
import org.fortiss.af3.platform.model.Receiver;
import org.fortiss.af3.platform.model.Transceiver;
import org.fortiss.af3.platform.model.TransmissionUnit;
import org.fortiss.af3.platform.model.Transmitter;

import org.fortiss.af3.platform.raspberry.model.*;

import org.fortiss.tooling.base.model.base.ConnectorBase;
import org.fortiss.tooling.base.model.base.EntryConnectorBase;
import org.fortiss.tooling.base.model.base.ExitConnectorBase;
import org.fortiss.tooling.base.model.base.HierarchicElementBase;

import org.fortiss.tooling.base.model.element.IConnector;
import org.fortiss.tooling.base.model.element.IHierarchicElement;
import org.fortiss.tooling.base.model.element.IHierarchicElementContainer;
import org.fortiss.tooling.base.model.element.IModelElement;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;

import org.fortiss.tooling.kernel.model.IIdLabeled;
import org.fortiss.tooling.kernel.model.INamedCommentedElement;
import org.fortiss.tooling.kernel.model.INamedElement;
import org.fortiss.tooling.kernel.model.ISpeciallyCopyiable;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.fortiss.af3.platform.raspberry.model.ModelPackage
 * @generated
 */
public class ModelAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static ModelPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ModelAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = ModelPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ModelSwitch<Adapter> modelSwitch =
		new ModelSwitch<Adapter>() {
			@Override
			public Adapter caseCANBus(CANBus object) {
				return createCANBusAdapter();
			}
			@Override
			public Adapter caseIProcessorDomain(IProcessorDomain object) {
				return createIProcessorDomainAdapter();
			}
			@Override
			public Adapter caseIBoardDomain(IBoardDomain object) {
				return createIBoardDomainAdapter();
			}
			@Override
			public Adapter caseRaspberryPi1(RaspberryPi1 object) {
				return createRaspberryPi1Adapter();
			}
			@Override
			public Adapter caseRaspberryPi2(RaspberryPi2 object) {
				return createRaspberryPi2Adapter();
			}
			@Override
			public Adapter caseRaspberryPi3(RaspberryPi3 object) {
				return createRaspberryPi3Adapter();
			}
			@Override
			public Adapter caseCore(Core object) {
				return createCoreAdapter();
			}
			@Override
			public Adapter caseBus(Bus object) {
				return createBusAdapter();
			}
			@Override
			public Adapter caseSensor(Sensor object) {
				return createSensorAdapter();
			}
			@Override
			public Adapter caseActuator(Actuator object) {
				return createActuatorAdapter();
			}
			@Override
			public Adapter caseSensorIn(SensorIn object) {
				return createSensorInAdapter();
			}
			@Override
			public Adapter caseActuatorOut(ActuatorOut object) {
				return createActuatorOutAdapter();
			}
			@Override
			public Adapter caseBusMasterInterface(BusMasterInterface object) {
				return createBusMasterInterfaceAdapter();
			}
			@Override
			public Adapter caseBusMasterPort(BusMasterPort object) {
				return createBusMasterPortAdapter();
			}
			@Override
			public Adapter caseCANBusMasterPort(CANBusMasterPort object) {
				return createCANBusMasterPortAdapter();
			}
			@Override
			public Adapter caseCANBusMasterInterface(CANBusMasterInterface object) {
				return createCANBusMasterInterfaceAdapter();
			}
			@Override
			public Adapter caseIIdLabeled(IIdLabeled object) {
				return createIIdLabeledAdapter();
			}
			@Override
			public Adapter caseINamedElement(INamedElement object) {
				return createINamedElementAdapter();
			}
			@Override
			public Adapter caseINamedCommentedElement(INamedCommentedElement object) {
				return createINamedCommentedElementAdapter();
			}
			@Override
			public Adapter caseIHierarchicElementContainer(IHierarchicElementContainer object) {
				return createIHierarchicElementContainerAdapter();
			}
			@Override
			public Adapter caseIModelElement(IModelElement object) {
				return createIModelElementAdapter();
			}
			@Override
			public Adapter caseIHierarchicElement(IHierarchicElement object) {
				return createIHierarchicElementAdapter();
			}
			@Override
			public Adapter caseILayoutedModelElement(ILayoutedModelElement object) {
				return createILayoutedModelElementAdapter();
			}
			@Override
			public Adapter caseHierarchicElementBase(HierarchicElementBase object) {
				return createHierarchicElementBaseAdapter();
			}
			@Override
			public Adapter caseISpeciallyCopyiable(ISpeciallyCopyiable object) {
				return createISpeciallyCopyiableAdapter();
			}
			@Override
			public Adapter caseIPlatformArchitectureElement(IPlatformArchitectureElement object) {
				return createIPlatformArchitectureElementAdapter();
			}
			@Override
			public Adapter caseIPlatformResource(IPlatformResource object) {
				return createIPlatformResourceAdapter();
			}
			@Override
			public Adapter caseIPlatformCommunicationResource(IPlatformCommunicationResource object) {
				return createIPlatformCommunicationResourceAdapter();
			}
			@Override
			public Adapter caseTransmissionUnit(TransmissionUnit object) {
				return createTransmissionUnitAdapter();
			}
			@Override
			public Adapter caseIPlatformArchitectureElementType(IPlatformArchitectureElementType object) {
				return createIPlatformArchitectureElementTypeAdapter();
			}
			@Override
			public Adapter caseIPhysicalPlatformArchitectureElement(IPhysicalPlatformArchitectureElement object) {
				return createIPhysicalPlatformArchitectureElementAdapter();
			}
			@Override
			public Adapter caseIBoardPlatformArchitectureElement(IBoardPlatformArchitectureElement object) {
				return createIBoardPlatformArchitectureElementAdapter();
			}
			@Override
			public Adapter caseIArchitectureDomain(IArchitectureDomain object) {
				return createIArchitectureDomainAdapter();
			}
			@Override
			public Adapter caseGenericPlatformUnit(GenericPlatformUnit object) {
				return createGenericPlatformUnitAdapter();
			}
			@Override
			public Adapter caseICommunicationRole(ICommunicationRole object) {
				return createICommunicationRoleAdapter();
			}
			@Override
			public Adapter caseICommunicationMaster(ICommunicationMaster object) {
				return createICommunicationMasterAdapter();
			}
			@Override
			public Adapter caseIPlatformProcessingResource(IPlatformProcessingResource object) {
				return createIPlatformProcessingResourceAdapter();
			}
			@Override
			public Adapter caseExecutionUnit(ExecutionUnit object) {
				return createExecutionUnitAdapter();
			}
			@Override
			public Adapter caseIIpCorePlatformArchitectureElement(IIpCorePlatformArchitectureElement object) {
				return createIIpCorePlatformArchitectureElementAdapter();
			}
			@Override
			public Adapter caseIConnector(IConnector object) {
				return createIConnectorAdapter();
			}
			@Override
			public Adapter caseConnectorBase(ConnectorBase object) {
				return createConnectorBaseAdapter();
			}
			@Override
			public Adapter casePlatformConnectorUnit(PlatformConnectorUnit object) {
				return createPlatformConnectorUnitAdapter();
			}
			@Override
			public Adapter caseReceiver(Receiver object) {
				return createReceiverAdapter();
			}
			@Override
			public Adapter caseIPlatformConnectorType(IPlatformConnectorType object) {
				return createIPlatformConnectorTypeAdapter();
			}
			@Override
			public Adapter caseExitConnectorBase(ExitConnectorBase object) {
				return createExitConnectorBaseAdapter();
			}
			@Override
			public Adapter caseIPlatformPort(IPlatformPort object) {
				return createIPlatformPortAdapter();
			}
			@Override
			public Adapter caseIPlatformIOResource(IPlatformIOResource object) {
				return createIPlatformIOResourceAdapter();
			}
			@Override
			public Adapter caseTransmitter(Transmitter object) {
				return createTransmitterAdapter();
			}
			@Override
			public Adapter caseTransceiver(Transceiver object) {
				return createTransceiverAdapter();
			}
			@Override
			public Adapter caseEntryConnectorBase(EntryConnectorBase object) {
				return createEntryConnectorBaseAdapter();
			}
			@Override
			public Adapter caseIPlatformInterface(IPlatformInterface object) {
				return createIPlatformInterfaceAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.CANBus <em>CAN Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.CANBus
	 * @generated
	 */
	public Adapter createCANBusAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.IProcessorDomain <em>IProcessor Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.IProcessorDomain
	 * @generated
	 */
	public Adapter createIProcessorDomainAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.IBoardDomain <em>IBoard Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.IBoardDomain
	 * @generated
	 */
	public Adapter createIBoardDomainAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.RaspberryPi1 <em>Raspberry Pi1</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.RaspberryPi1
	 * @generated
	 */
	public Adapter createRaspberryPi1Adapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.RaspberryPi2 <em>Raspberry Pi2</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.RaspberryPi2
	 * @generated
	 */
	public Adapter createRaspberryPi2Adapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.RaspberryPi3 <em>Raspberry Pi3</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.RaspberryPi3
	 * @generated
	 */
	public Adapter createRaspberryPi3Adapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.Core <em>Core</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.Core
	 * @generated
	 */
	public Adapter createCoreAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.Bus <em>Bus</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.Bus
	 * @generated
	 */
	public Adapter createBusAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.Sensor <em>Sensor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.Sensor
	 * @generated
	 */
	public Adapter createSensorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.Actuator <em>Actuator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.Actuator
	 * @generated
	 */
	public Adapter createActuatorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.SensorIn <em>Sensor In</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.SensorIn
	 * @generated
	 */
	public Adapter createSensorInAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.ActuatorOut <em>Actuator Out</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.ActuatorOut
	 * @generated
	 */
	public Adapter createActuatorOutAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.BusMasterInterface <em>Bus Master Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.BusMasterInterface
	 * @generated
	 */
	public Adapter createBusMasterInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.BusMasterPort <em>Bus Master Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.BusMasterPort
	 * @generated
	 */
	public Adapter createBusMasterPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.CANBusMasterPort <em>CAN Bus Master Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.CANBusMasterPort
	 * @generated
	 */
	public Adapter createCANBusMasterPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.raspberry.model.CANBusMasterInterface <em>CAN Bus Master Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.raspberry.model.CANBusMasterInterface
	 * @generated
	 */
	public Adapter createCANBusMasterInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.kernel.model.IIdLabeled <em>IId Labeled</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.kernel.model.IIdLabeled
	 * @generated
	 */
	public Adapter createIIdLabeledAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.kernel.model.INamedElement <em>INamed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.kernel.model.INamedElement
	 * @generated
	 */
	public Adapter createINamedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.kernel.model.INamedCommentedElement <em>INamed Commented Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.kernel.model.INamedCommentedElement
	 * @generated
	 */
	public Adapter createINamedCommentedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.element.IHierarchicElementContainer <em>IHierarchic Element Container</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.element.IHierarchicElementContainer
	 * @generated
	 */
	public Adapter createIHierarchicElementContainerAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.element.IModelElement <em>IModel Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.element.IModelElement
	 * @generated
	 */
	public Adapter createIModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.element.IHierarchicElement <em>IHierarchic Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.element.IHierarchicElement
	 * @generated
	 */
	public Adapter createIHierarchicElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.layout.ILayoutedModelElement <em>ILayouted Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.layout.ILayoutedModelElement
	 * @generated
	 */
	public Adapter createILayoutedModelElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.base.HierarchicElementBase <em>Hierarchic Element Base</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.base.HierarchicElementBase
	 * @generated
	 */
	public Adapter createHierarchicElementBaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.kernel.model.ISpeciallyCopyiable <em>ISpecially Copyiable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.kernel.model.ISpeciallyCopyiable
	 * @generated
	 */
	public Adapter createISpeciallyCopyiableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformArchitectureElement <em>IPlatform Architecture Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformArchitectureElement
	 * @generated
	 */
	public Adapter createIPlatformArchitectureElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformResource <em>IPlatform Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformResource
	 * @generated
	 */
	public Adapter createIPlatformResourceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformCommunicationResource <em>IPlatform Communication Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformCommunicationResource
	 * @generated
	 */
	public Adapter createIPlatformCommunicationResourceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.TransmissionUnit <em>Transmission Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.TransmissionUnit
	 * @generated
	 */
	public Adapter createTransmissionUnitAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformArchitectureElementType <em>IPlatform Architecture Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformArchitectureElementType
	 * @generated
	 */
	public Adapter createIPlatformArchitectureElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPhysicalPlatformArchitectureElement <em>IPhysical Platform Architecture Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPhysicalPlatformArchitectureElement
	 * @generated
	 */
	public Adapter createIPhysicalPlatformArchitectureElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IBoardPlatformArchitectureElement <em>IBoard Platform Architecture Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IBoardPlatformArchitectureElement
	 * @generated
	 */
	public Adapter createIBoardPlatformArchitectureElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IArchitectureDomain <em>IArchitecture Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IArchitectureDomain
	 * @generated
	 */
	public Adapter createIArchitectureDomainAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.GenericPlatformUnit <em>Generic Platform Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.GenericPlatformUnit
	 * @generated
	 */
	public Adapter createGenericPlatformUnitAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.ICommunicationRole <em>ICommunication Role</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.ICommunicationRole
	 * @generated
	 */
	public Adapter createICommunicationRoleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.ICommunicationMaster <em>ICommunication Master</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.ICommunicationMaster
	 * @generated
	 */
	public Adapter createICommunicationMasterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformProcessingResource <em>IPlatform Processing Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformProcessingResource
	 * @generated
	 */
	public Adapter createIPlatformProcessingResourceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.ExecutionUnit <em>Execution Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.ExecutionUnit
	 * @generated
	 */
	public Adapter createExecutionUnitAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IIpCorePlatformArchitectureElement <em>IIp Core Platform Architecture Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IIpCorePlatformArchitectureElement
	 * @generated
	 */
	public Adapter createIIpCorePlatformArchitectureElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.element.IConnector <em>IConnector</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.element.IConnector
	 * @generated
	 */
	public Adapter createIConnectorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.base.ConnectorBase <em>Connector Base</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.base.ConnectorBase
	 * @generated
	 */
	public Adapter createConnectorBaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.PlatformConnectorUnit <em>Platform Connector Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.PlatformConnectorUnit
	 * @generated
	 */
	public Adapter createPlatformConnectorUnitAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.Receiver <em>Receiver</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.Receiver
	 * @generated
	 */
	public Adapter createReceiverAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformConnectorType <em>IPlatform Connector Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformConnectorType
	 * @generated
	 */
	public Adapter createIPlatformConnectorTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.base.ExitConnectorBase <em>Exit Connector Base</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.base.ExitConnectorBase
	 * @generated
	 */
	public Adapter createExitConnectorBaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformPort <em>IPlatform Port</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformPort
	 * @generated
	 */
	public Adapter createIPlatformPortAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformIOResource <em>IPlatform IO Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformIOResource
	 * @generated
	 */
	public Adapter createIPlatformIOResourceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.Transmitter <em>Transmitter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.Transmitter
	 * @generated
	 */
	public Adapter createTransmitterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.Transceiver <em>Transceiver</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.Transceiver
	 * @generated
	 */
	public Adapter createTransceiverAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.tooling.base.model.base.EntryConnectorBase <em>Entry Connector Base</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.tooling.base.model.base.EntryConnectorBase
	 * @generated
	 */
	public Adapter createEntryConnectorBaseAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.fortiss.af3.platform.model.IPlatformInterface <em>IPlatform Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.fortiss.af3.platform.model.IPlatformInterface
	 * @generated
	 */
	public Adapter createIPlatformInterfaceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //ModelAdapterFactory
