/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generated.files;

/**
 * 
 * @author zverlov
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class RaspberryMakefileGeneration {

	/** The name of the executable. */
	private String binaryTargetName;

	/** Contents of the Makefile. */
	private String content;

	/** Constructor. */
	public RaspberryMakefileGeneration(String targetName) {
		this.binaryTargetName = targetName;
		this.content = "";
	}

	/** Calls the methods that create the Makefile. */
	public void createMakefile() {
		// TODO: needs to be implemented
		printFirstTwoLines();
		// ....
	}

	/** This methods is only an example. */
	private void printFirstTwoLines() {
		content += "SHELL := /bin/bash" + "\n\n";
		content += "TARGET = " + binaryTargetName + "\n\n";
		content += "C_SRC   :=  $(wildcard *.c)\n";
		content += "CPP_SRC :=  $(wildcard *.cpp)\n";
		content += "H_SRC   :=  $(wildcard *.h)\n";
		content += "H_SRC   :=  $(wildcard *.h)\n";

	}

	/** Return the current content of the Makefile. */
	public String getContent() {
		return this.content;
	}
}
